List company legal entities
Returns a paginated list of company legal entities linked to your organization.
Helpful resources
Required Scopes
- company-legal-entities.read
Request
Query Parameters
Possible values: >= 1 and <= 100
Default value: 50
The maximum number of results to return. Defaults to 50. Maximum is 100.
Using filters
Include one or more of these fields in the filter parameter to refine your results.
Fields:country_code
Sorting results
Include one or more of these fields in the sort parameter to control result order.
Fields:id, created_at, updated_at
Responses​
- 200
- application/json
- Schema
- Example (from schema)
Schema
__meta object
redacted_fields object[]
The name for the redacted field
The reason for the redaction
results object[]
Identifier field
Record creation date
Record update date
The ISO country code for the entity.
The legal name of the entity.
The entity's level in a hierarchy. * PARENT: The legal entity is considered the ultimate holding entity. * SUBSIDIARY: The legal entity is considered a subsidiary, fully or partially held by another. * BRANCH: The legal entity is considered a branch, associated with a parent legal entity.
The registration date of the entity.
mailing_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
physical_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
True if this entity is managed as an Employer of Record.
True if this entity is managed as a Contractor of Record.
True if this entity is managed as a Professional Employment Organization.
True if this entity relationship has been archived.
The tax identifier for this entity.
The entity management type. * EOR: The entity is managed as an Employer of Record. * COR: The entity is managed as a Contractor of Record. * PEO: The entity is managed as a Professional Employment Organization. * null: The entity is a direct hire with no managed employment type.
The company associated with this entity relationship.
A link to the next page of responses.
{
"__meta": {
"redacted_fields": [
{
"name": "date_of_birth",
"reason": "Insufficient entitlements"
}
]
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"country_code": "string",
"legal_name": "string",
"entity_level": "PARENT",
"registration_date": "string",
"mailing_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"physical_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"is_eor": false,
"is_cor": false,
"is_peo": false,
"is_archived": false,
"tax_identifier": "string",
"management_type": "PEO",
"company_id": "string"
}
],
"next_link": "string"
}